<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="icon" type="image/x-icon" href="assets/favicon.ico" />
    <!-- Bootstrap icons-->
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css"/>
    <!-- Core theme CSS (includes Bootstrap)-->
    <!-- CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <style>
    body {
      background-color: #000
    }

    .padding {
      padding: 2rem !important
    }

    .card {
      margin-bottom: 30px;
      border: none;
      -webkit-box-shadow: 0px 1px 2px 1px rgba(154, 154, 204, 0.22);
      -moz-box-shadow: 0px 1px 2px 1px rgba(154, 154, 204, 0.22);
      box-shadow: 0px 1px 2px 1px rgba(154, 154, 204, 0.22)
    }

    .card-header {
      background-color: #fff;
      border-bottom: 1px solid #e6e6f2
    }

    h3 {
      font-size: 20px
    }

    h5 {
      font-size: 15px;
      line-height: 26px;
      color: #3d405c;
      margin: 0px 0px 15px 0px;
      font-family: 'Circular Std Medium'
    }

    .text-dark {
      color: #3d405c !important
    }
    </style>
</head>

<body>
<div class="offset-xl-2 col-xl-8 col-lg-12 col-md-12 col-sm-12 col-12 padding">
  <div class="card">
    <div class="card-header p-4">
      <a class="pt-2 d-inline-block" th:href="@{/}" data-abc="true">Trang chu</a>
      <div class="float-right" th:text="${dateOfPurchase}">
      </div>
      <h3>
        Cam on vi da mua hang!
      </h3>
    </div>
    <div class="card-body">
      <div class="row mb-4">
        <div class="col-sm-6">
          <h5 class="mb-3">From:</h5>
          <h3 class="text-dark mb-1">PTIT SHOP</h3>
          <div>Ha Dong, Ha Noi</div>
          <div>Email: ptitshop@gmail.com</div>
          <div>Phone: 0987654321</div>
        </div>
        <div class="col-sm-6 " th:object="${customer}">
          <h5 class="mb-3">To:</h5>
          <h3 class="text-dark mb-1" th:text="*{firstName} + ' ' + *{lastName}"></h3>
          <div th:text="*{address}"></div>
          <div th:text="'Email: ' + *{emailId}"></div>
          <div th:text="'Phone: ' + *{phone}"></div>
        </div>
      </div>
      <div class="table-responsive-sm">
        <table class="table table-striped">
          <thead>
          <tr>
            <th class="center">#</th>
            <th>Item</th>
            <th class="right">Price</th>
            <th class="center">Quantity</th>
            <th class="float">Total</th>
          </tr>
          </thead>
          <tbody th:each="cartItem, istart: ${cartItems}">
          <tr>
            <td class="center" th:text="${istart.index}+1"></td>
            <td class="left strong" th:text="${cartItem.name}"></td>
            <td class="right" th:text="${cartItem.price} + '$'"></td>
            <td class="center" th:text="${cartItem.quantity}"></td>
            <td class="float" th:text="${cartItem.price} * ${cartItem.quantity} + '$'"></td>
          </tr>
          </tbody>
        </table>
      </div>
      <div class="row">
        <div class="col-lg-4 col-sm-5">
        </div>
        <div class="col-lg-4 col-sm-5 ml-auto">
          <table class="table table-clear">
            <tbody>
            <tr>
              <td class="left">
                <strong class="text-dark">Ship</strong>
              </td>
              <td class="right">2$</td>
            </tr>
            <tr>
              <td class="left">
                <strong class="text-dark">Total</strong>
              </td>
              <td class="right" th:text="${totalPrice} + 2 + '$'"></td>
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>

  </div>
</div>
</body>
</html>
